"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.stdout = stdout;
exports.stderr = stderr;
exports.logMessage = logMessage;
exports.logError = logError;
exports.createLogDebug = createLogDebug;
exports.logDebug = void 0;

var _chalk = _interopRequireDefault(require("chalk"));

var _debug = _interopRequireDefault(require("debug"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-next-line @typescript-eslint/no-explicit-any
function stdout(...args) {
  console.log(...args); // eslint-disable-line no-console
} // eslint-disable-next-line @typescript-eslint/no-explicit-any


function stderr(...args) {
  console.error(...args); // eslint-disable-line no-console
} // Alias for stdout
// eslint-disable-next-line @typescript-eslint/no-explicit-any


function logMessage(...args) {
  stdout(...args);
}

function logError(error) {
  const message = `${error.name}: ${error.message}`;
  stderr(_chalk.default.bold.red(message));

  if (error.stack) {
    // The first line contains the message (which we have already printed)
    const stackMessageRemoved = error.stack.split("\n").slice(1).join("\n");
    stderr(_chalk.default.dim(stackMessageRemoved));
  }
}

function createLogDebug(maybeFeatureName) {
  const debugName = ["create-exposed-app", maybeFeatureName].filter(Boolean).join(":");
  return (0, _debug.default)(debugName);
}

const logDebug = createLogDebug();
exports.logDebug = logDebug;
//# sourceMappingURL=log.js.map