#!/usr/bin/env node
"use strict";

var _log = require("./common/log");

var _process = require("./common/process");

var _args = require("./create-exposed-app/args");

var _createExposedApp = require("./create-exposed-app/create-exposed-app");

var _options = require("./create-exposed-app/options");

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

main();

function main() {
  return _main.apply(this, arguments);
}

function _main() {
  _main = _asyncToGenerator(function* () {
    (0, _process.setupProcess)();
    const args = yield (0, _args.getArgs)();
    (0, _log.logDebug)("Args: %j", args);
    const maybeOptions = {
      projectPackageName: args["project-package-name"],
      projectOverview: args["project-overview"],
      side: args.side,
      authorName: args["author-name"],
      authorEmail: args["author-email"],
      authorGitHub: args["author-github"],
      authorWebsite: args["author-website"],
      skipInstallDependencies: !args["install-dependencies"],
      skipSetupSemanticRelease: !args["setup-semantic-release"],
      destinationPath: args["destination-path"]
    };
    (0, _options.validateOptions)(maybeOptions);
    const options = maybeOptions;
    (0, _createExposedApp.createExposedApp)(options);
  });
  return _main.apply(this, arguments);
}
//# sourceMappingURL=create-exposed-app-cli.js.map