"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getArgs = getArgs;

var _yargsInteractive = _interopRequireDefault(require("yargs-interactive"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

const options = {
  interactive: {
    default: true
  },
  "project-package-name": {
    describe: "Project package name (e.g. `my-awesome-project`)",
    type: "input",
    validate: isAnswerProvided
  },
  "project-overview": {
    describe: "Project overview (e.g. `Does awesome stuff`)",
    type: "input",
    validate: isAnswerProvided
  },
  side: {
    describe: "Side",
    type: "list",
    choices: ["server", "client"]
  },
  "author-name": {
    describe: "Author name (e.g. `Bruce Wayne`)",
    type: "input",
    validate: isAnswerProvided
  },
  "author-email": {
    describe: "Author email (e.g. `bruce.wayne@gmail.com`)",
    type: "input",
    validate: isAnswerProvided
  },
  "author-github": {
    describe: "Author GitHub username (e.g. `batman`)",
    type: "input",
    validate: isAnswerProvided
  },
  "author-website": {
    describe: "Author website (optional) (e.g. `https://batman.com`)",
    type: "input"
  },
  "setup-semantic-release": {
    describe: "Setup semantic release",
    type: "confirm",
    default: true,
    prompt: "if-no-arg"
  },
  "install-dependencies": {
    describe: "Skip installing dependencies",
    type: "confirm",
    default: true,
    prompt: "never"
  },
  "destination-path": {
    describe: "Destination path",
    type: "input",
    prompt: "never"
  }
};

function getArgs() {
  return _getArgs.apply(this, arguments);
}

function _getArgs() {
  _getArgs = _asyncToGenerator(function* () {
    // eslint-disable-line @typescript-eslint/no-explicit-any
    const args = yield (0, _yargsInteractive.default)().interactive(options);
    args["setup-semantic-release"] = isArgsBoolean(args["setup-semantic-release"]);
    args["install-dependencies"] = isArgsBoolean(args["install-dependencies"]);
    return args;
  });
  return _getArgs.apply(this, arguments);
}

function isAnswerProvided(answer) {
  return answer !== "";
}

function isArgsBoolean(answer) {
  return answer === true || answer === "true";
}
//# sourceMappingURL=args.js.map