"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isAppOptionSide = isAppOptionSide;
exports.validateOptions = validateOptions;
exports.processUserOptions = processUserOptions;
exports.AppOptionSide = void 0;

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

let AppOptionSide;
exports.AppOptionSide = AppOptionSide;

(function (AppOptionSide) {
  AppOptionSide["server"] = "server";
  AppOptionSide["client"] = "client";
})(AppOptionSide || (exports.AppOptionSide = AppOptionSide = {}));

function isAppOptionSide(str) {
  return Object.values(AppOptionSide).some(val => val === str);
}

function validateOptions(options) {
  if (!options.projectPackageName) {
    throw new Error("Missing option `projectPackageName`");
  }

  if (!options.projectOverview) {
    throw new Error("Missing option `projectOverview`");
  }

  if (!options.side) {
    throw new Error("Missing option `side`");
  }

  if (!isAppOptionSide(options.side)) {
    throw new Error("Invalid option `side`");
  }

  if (!options.authorName) {
    throw new Error("Missing option `authorName`");
  }

  if (!options.authorEmail) {
    throw new Error("Missing option `authorEmail`");
  }

  if (!options.authorGitHub) {
    throw new Error("Missing option `authorGitHub`");
  }

  if (!options.authorGitHub) {
    throw new Error("Missing option `authorGitHub`");
  }

  return true;
}

function processUserOptions(options) {
  return _objectSpread({}, options, {
    destinationPath: options.destinationPath || process.cwd(),
    skipInstallDependencies: options.skipInstallDependencies || false,
    skipSetupSemanticRelease: options.skipSetupSemanticRelease || false
  });
}
//# sourceMappingURL=options.js.map