"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.executeStepCopyTemplate = executeStepCopyTemplate;

var _fs = require("../../../common/fs");

var _log = require("../../../common/log");

var _view = require("../../../common/view");

var _copy = require("./copy");

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

function executeStepCopyTemplate(_x) {
  return _executeStepCopyTemplate.apply(this, arguments);
}

function _executeStepCopyTemplate() {
  _executeStepCopyTemplate = _asyncToGenerator(function* (context) {
    const copyResults = yield executeCopy(context);
    const renderViews = getFilePaths(copyResults).map(filePath => renderView(filePath, context.viewData));
    yield Promise.all(renderViews);
    return context;
  });
  return _executeStepCopyTemplate.apply(this, arguments);
}

function executeCopy(_x2) {
  return _executeCopy.apply(this, arguments);
}

function _executeCopy() {
  _executeCopy = _asyncToGenerator(function* (context) {
    try {
      const copyResults = yield (0, _copy.copy)(context.templatesPath, "./", context.viewData);
      (0, _log.logMessage)(`${copyResults.length} file(s) copied`);
      return copyResults;
    } catch (error) {
      (0, _log.logError)(new Error(`Could not copy: ${error}`));
      throw error;
    }
  });
  return _executeCopy.apply(this, arguments);
}

function getFilePaths(copyResults) {
  return copyResults.map(copyResult => copyResult.dest).filter(filePath => !(0, _fs.isDir)(filePath));
}

function renderView(_x3, _x4) {
  return _renderView.apply(this, arguments);
}

function _renderView() {
  _renderView = _asyncToGenerator(function* (filePath, data) {
    (0, _log.logDebug)("Rendering view: %s", filePath);
    const dataToRender = data;

    try {
      yield (0, _view.renderViewOnFile)(filePath, dataToRender);
    } catch (error) {
      (0, _log.logError)(new Error(`Could not process ${filePath}: ${error}`));
    }
  });
  return _renderView.apply(this, arguments);
}
//# sourceMappingURL=copy-template.js.map