"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.executeStepGit = executeStepGit;

var _fs = require("../../common/fs");

var _log = require("../../common/log");

var _spawn = require("../../common/spawn");

function executeStepGit(context) {
  if ((0, _fs.pathExists)(".git")) {
    (0, _log.logDebug)("Git already setup, skipping...");
    return Promise.resolve(context);
  }

  const origin = calcOrigin(context.viewData);
  (0, _log.logDebug)("Git origin: %s", origin);
  (0, _spawn.spawn)("git init");
  (0, _spawn.spawn)(`git remote add origin ${origin}`);
  (0, _spawn.spawn)('git commit --allow-empty -m "Init"');
  (0, _spawn.spawn)("git checkout -b hello-world");
  return Promise.resolve(context);
}

function calcOrigin(viewData) {
  return `git@github.com:${viewData.authorGitHub}/${viewData.projectPackageName}.git`;
}
//# sourceMappingURL=git.js.map