"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getMarkdownAuthor = getMarkdownAuthor;

var _markdown = require("../../common/markdown");

function getMarkdownAuthor(appOptions) {
  return [appOptions.authorName, appOptions.authorEmail && getMarkdownAuthorLinksEmail(appOptions.authorEmail), appOptions.authorWebsite && getMarkdownAuthorLinksWebsite(appOptions.authorWebsite)].filter(Boolean).join(" ");
}

function getMarkdownAuthorLinksEmail(email) {
  return `<${(0, _markdown.getMarkdownEmail)(email)}>`;
}

function getMarkdownAuthorLinksWebsite(website) {
  return `(${(0, _markdown.getMarkdownUrl)(website)})`;
}
//# sourceMappingURL=markdown-author.js.map