"use strict";

var _options = require("../options");

var _viewData = require("./view-data");

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const appOptions = {
  authorEmail: "test@test.com",
  authorGitHub: "the-tester",
  authorName: "The Tester",
  destinationPath: "./",
  projectOverview: "My test project",
  projectPackageName: "my-test-project",
  side: _options.AppOptionSide.server,
  skipInstallDependencies: false,
  skipSetupSemanticRelease: false
};
const authorWebsite = "https://test.com";
describe("view-data", () => {
  test("githubRepoUrl is correct", () => {
    const result = (0, _viewData.getViewData)(appOptions);
    expect(result.gitHubRepoUrl).toBe("https://github.com/the-tester/my-test-project");
  });
  describe("markdownAuthor", () => {
    test("it should be the name and email by default ", () => {
      const result = (0, _viewData.getViewData)(appOptions);
      expect(result.markdownAuthor).toBe("The Tester <[test@test.com](mailto:test@test.com)>");
    });
    test("it should append website when supplied ", () => {
      const result = (0, _viewData.getViewData)(_objectSpread({}, appOptions, {
        authorWebsite
      }));
      expect(result.markdownAuthor).toBe("The Tester <[test@test.com](mailto:test@test.com)> ([test.com](https://test.com))");
    });
  });
  describe("npmAuthor", () => {
    test("it should be the name and email by default", () => {
      const result = (0, _viewData.getViewData)(appOptions);
      expect(result.npmAuthor).toBe("The Tester <test@test.com>");
    });
    test("it should append the website if supplied", () => {
      const result = (0, _viewData.getViewData)(_objectSpread({}, appOptions, {
        authorWebsite
      }));
      expect(result.npmAuthor).toBe("The Tester <test@test.com> (https://test.com)");
    });
  });
});
//# sourceMappingURL=view-data.test.js.map