export interface AppOptionsUser {
    destinationPath?: string;
    projectPackageName: string;
    projectOverview: string;
    side: AppOptionSide;
    authorName: string;
    authorEmail: string;
    authorGitHub: string;
    authorWebsite?: string;
    skipInstallDependencies?: boolean;
    skipSetupSemanticRelease?: boolean;
}
export interface AppOptions {
    destinationPath: string;
    projectPackageName: string;
    projectOverview: string;
    side: AppOptionSide;
    authorName: string;
    authorEmail: string;
    authorGitHub: string;
    authorWebsite?: string;
    skipInstallDependencies: boolean;
    skipSetupSemanticRelease: boolean;
}
export declare enum AppOptionSide {
    server = "server",
    client = "client"
}
export declare function isAppOptionSide(str: string): str is AppOptionSide;
export declare function validateOptions(options: Partial<AppOptionsUser>): options is AppOptionsUser;
export declare function processUserOptions(options: AppOptionsUser): AppOptions;
