---
name: Bug report
about: Something wrong? Create a bug report to improve the project.
labels: bug
assignees: iamturns
---

<!--
Thanks for contributing!
-->

# :bug: Bug report

Introduce the bug with a summary.

## Steps to reproduce

1. ...
2. ...
3. ...

Please include if possible and/or relevant: code, config, links, repository that reproduces the bug.

## Expected behavior

What should happen?

## Actual behaviour

What happens instead? Please include if possible and/or relevant: error messages, stack traces, logs, screenshots.

## Environment

<!-- Remove items that aren't relevant -->

- `create-exposed-app` version: [e.g. latest]
- Node.js version:
- npm version:
- Operating System and version: [e.g. macOS XX, iOS XX. See whatsmyos.com]
- Device used: [e.g. iPhone 6, MacBook Pro]
- Browser name and version: [e.g. Chrome XX, Safari XX, Android Browser XX. See whatsmybrowser.org]

## Additional

E.g. suggested solution, theories, etc.

---

:white_check_mark: Checklist

<!--
Feel free to submit now and complete the checklist items below later.
If you're unsure about anything, don't hesitate to ask. We're here to help!
-->

- [ ] Following [CODE_OF_CONDUCT.md](https://github.com/iamturns/create-exposed-app/blob/master/CODE_OF_CONDUCT.md).
- [ ] Checked for [duplicate bug reports](https://github.com/iamturns/create-exposed-app/issues?q=label%3Abug).
- [ ] Title is a summary of the bug report, in present tense, and ideally < 50 characters
- [ ] Ready for review
