# Record Architectural Decisions

- Status: Accepted
- People involved: @iamturns

## Issue

We want to record architectural decisions made in this project. Which format and structure should these records follow?

## Constraints

Ideally stored with the code. This is the most universal and simple place.

Must be a simple solution, otherwise people won't bother with ADRs.

## Decision

Use [MADR](https://adr.github.io/madr/).

Do not complicate simple process with [adr-tools](https://github.com/npryce/adr-tools). Instead, just provide a template file.

MADR template modified to reduce verbosity, and expanded with information found in [other templates](https://github.com/joelparkerhenderson/architecture_decision_record).

## Additional Links

- [Documenting Architecture Decisions](http://thinkrelevance.com/blog/2011/11/15/documenting-architecture-decisions)
- [Lightweight Architecture Decision Records by ThoughtWorks Technology Radar](https://www.thoughtworks.com/radar/techniques/lightweight-architecture-decision-records)
